.mainMenu {
  width: auto;
  margin-top: 16px;
  background: transparent;
  border-right: none;

  :global .ant-menu-item-group {
    margin-bottom: 16px;
  }

  :global .ant-menu-item-group-title {
    display: none;
  }

  :global .ant-menu-submenu-inline {
    > :global.ant-menu-submenu-title .ant-menu-submenu-arrow {
      display: block;
      position: absolute;
      top: 20px;
      right: 6px;

      &:before,
      &:after {
        width: 7px;
        height: 0.5px;
        background: var(--alt-color-1);
      }

      &:before {
        -ms-transform: rotate(-45deg) translateX(3px);
        transform: rotate(-45deg) translateX(3px);
      }

      &:after {
        -ms-transform: rotate(45deg) translateX(-3px);
        transform: rotate(45deg) translateX(-3px);
      }
    }

    &:global.ant-menu-submenu-open {
      > :global.ant-menu-submenu-title .ant-menu-submenu-arrow {
        &:before {
          -ms-transform: rotate(45deg) translateX(3px);
          transform: rotate(45deg) translateX(3px);
        }

        &:after {
          -ms-transform: rotate(-45deg) translateX(-3px);
          transform: rotate(-45deg) translateX(-3px);
        }
      }
    }
  }

  :global .ant-menu-submenu {
    :global .ant-menu-submenu-title {
      height: 36px;
      line-height: 36px;
      color: var(--main-menu-links-color);
      padding-left: 16px !important;
      margin: 1px 0;

    }

    :global .ant-menu {
      background: transparent;
      position: relative;
      padding-left: 24px;
    }

    :global .ant-menu-sub.ant-menu-inline > .ant-menu-item {
      line-height: 24px;
      height: auto;
      margin: 0;
      padding: 4px 8px 4px 26px !important;

      &:before {
        display: inline-block;
        width: 1px;
        height: auto;
        content: '.';
        font-size: 0;
        position: absolute;
        left: 4px;
        top: 0;
        bottom: 0;
        background: rgba(126, 129, 148, 0.25);
      }

      &:first-child {
        margin-top: 0;
        padding-top: 0;

        &:before {
          top: 8px;
        }
      }

      &:last-child {
        margin-bottom: 4px;

        &:before {
          bottom: 8px;
        }
      }

      > a {
        color: var(--main-menu-links-color);
      }

      &.ant-menu-item-selected {
        > a {
          color: var(--main-menu-links-color-hover) !important;
        }
      }
    }
  }

  &:not(.ant-menu-horizontal) {
    > :global.ant-menu-item-group {
      > :global.ant-menu-item-group-list {
        > :global.ant-menu-item,
        > :global.ant-menu-item-selected {
          background: transparent;
          height: 36px !important;
          line-height: 36px;
          color: var(--main-menu-links-color-hover);
          padding-left: 16px !important;
          margin: 1px 0;

          > a {
            line-height: 36px;
          }

          &:after {
            display: none;
          }
        }
      }
    }
  }

  a {
    color: var(--main-menu-links-color);
    line-height: 20px;

    &.active {
      color: var(--control-color-primary) !important;
    }
    &.not-ready {
      opacity: 0.5 !important;
    }
  }

  :global .ant-menu-item > a:hover,
  :global .ant-menu-submenu span:hover {
    color: var(--control-color-primary) !important;
  }

  .icon {
    display: inline-block;
    width: 20px;
    text-align: center;
    margin-right: 15px;
    position: relative;
    font-size: 17px;
    top: 2px;
    color: var(--control-color-primary);
  }
}

@media (max-width: 980px) {
  .mainMen {
    :global .ant-menu-submenu-inline > .ant-menu-submenu-title .ant-menu-submenu-arrow {
      right: 20px;
    }
  }
}
